> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get load balancer listener



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/lblisteners/{project_id}/{region_id}/{listener_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/lblisteners/{project_id}/{region_id}/{listener_id}:
    get:
      tags:
        - Load Balancers
      summary: Get load balancer listener
      operationId: LoadBalancerListenerInstanceViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            exclusiveMinimum: 0
            title: Region Id
            type: integer
        - in: path
          name: listener_id
          required: true
          description: Listener ID
          schema:
            description: Listener ID
            example: 00000000-0000-4000-8000-000000000000
            examples:
              - 00000000-0000-4000-8000-000000000000
            format: uuid4
            title: Listener Id
            type: string
        - in: query
          name: show_stats
          required: false
          description: Show stats
          schema:
            default: false
            description: Show stats
            example: true
            examples:
              - true
              - false
            title: Show Stats
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LbListenerSerializer'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            load_balancer_listener_detail =
            client.cloud.load_balancers.listeners.get(
                listener_id="00000000-0000-4000-8000-000000000000",
                project_id=1,
                region_id=1,
            )

            print(load_balancer_listener_detail.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tloadBalancerListenerDetail, err := client.Cloud.LoadBalancers.Listeners.Get(\n\t\tcontext.TODO(),\n\t\t\"00000000-0000-4000-8000-000000000000\",\n\t\tcloud.LoadBalancerListenerGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", loadBalancerListenerDetail.ID)\n}\n"
components:
  schemas:
    LbListenerSerializer:
      properties:
        admin_state_up:
          description: >-
            Administrative state of the resource. When set to true, the resource
            is enabled and operational. When set to false, the resource is
            disabled and will not process traffic. Defaults to true.
          example: true
          examples:
            - true
            - false
          title: Admin State Up
          type: boolean
        allowed_cidrs:
          anyOf:
            - items:
                format: ipvanynetwork
                type: string
              type: array
            - type: 'null'
          description: Network CIDRs from which service will be accessible
          examples:
            - - 10.0.0.0/8
          title: Allowed Cidrs
        connection_limit:
          description: Limit of simultaneous connections
          maximum: 1000000
          minimum: -1
          title: Connection Limit
          type: integer
        creator_task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: Task that created this entity
          examples:
            - de105b9c-c095-4f1c-9b76-aaa9bc60e32a
          title: Creator Task Id
        id:
          description: Load balancer listener ID
          example: 43658ea9-54bd-4807-90b1-925921c9a0d1
          examples:
            - 43658ea9-54bd-4807-90b1-925921c9a0d1
          format: uuid4
          title: Id
          type: string
        insert_headers:
          additionalProperties: true
          description: >-
            Dictionary of additional header insertion into HTTP headers. Only
            used with HTTP and `TERMINATED_HTTPS` protocols.
          title: Insert Headers
          type: object
        load_balancer_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: Load balancer ID
          examples:
            - 67149a91-739b-42bf-bbd1-cb64f723dad7
          title: Load Balancer Id
        name:
          description: Load balancer listener name
          example: lbaas_test_listener
          examples:
            - lbaas_test_listener
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
          title: Name
          type: string
        operating_status:
          $ref: '#/components/schemas/OperatingStatusEnum'
          description: Listener operating status
        pool_count:
          anyOf:
            - type: integer
            - type: 'null'
          description: Number of pools (for UI)
          examples:
            - 1
          title: Pool Count
        protocol:
          $ref: '#/components/schemas/LbListenerProtocolEnum'
          description: Load balancer protocol
          examples:
            - TCP
        protocol_port:
          description: Protocol port
          example: 80
          examples:
            - 80
          maximum: 65535
          minimum: 1
          title: Protocol Port
          type: integer
        provisioning_status:
          $ref: '#/components/schemas/ProvisioningStatusEnum'
          description: Listener lifecycle status
        secret_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            ID of the secret where PKCS12 file is stored for `TERMINATED_HTTPS`
            or PROMETHEUS load balancer
          examples:
            - e36200c7-114b-44e6-ba1a-043b2bd53879
          title: Secret Id
        sni_secret_id:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            List of secret's ID containing PKCS12 format certificate/key bundles
            for `TERMINATED_HTTPS` or PROMETHEUS listeners
          examples:
            - - e36200c7-114b-44e6-ba1a-043b2bd53879
              - c5d156ce-0925-4aef-b458-cce46bd346f0
          title: Sni Secret Id
        stats:
          anyOf:
            - $ref: '#/components/schemas/LoadbalancerStatsSerializer'
            - type: 'null'
          description: >-
            Statistics of the load balancer. It is available only in get
            functions by a flag.
          examples:
            - active_connections: 0
              bytes_in: 34942398609
              bytes_out: 304777113641
              request_errors: 4
              total_connections: 21095970
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          title: Task Id
        timeout_client_data:
          anyOf:
            - maximum: 86400000
              minimum: 0
              type: integer
            - type: 'null'
          description: Frontend client inactivity timeout in milliseconds
          examples:
            - 50000
          title: Timeout Client Data
        timeout_member_connect:
          anyOf:
            - maximum: 86400000
              minimum: 0
              type: integer
            - type: 'null'
          deprecated: true
          description: Backend member connection timeout in milliseconds
          examples:
            - 5000
          title: Timeout Member Connect
        timeout_member_data:
          anyOf:
            - maximum: 86400000
              minimum: 0
              type: integer
            - type: 'null'
          deprecated: true
          description: Backend member inactivity timeout in milliseconds
          examples:
            - 50000
          title: Timeout Member Data
        user_list:
          description: Load balancer listener users list
          example:
            - encrypted_password: $5$isRr.HJ1IrQP38.m$oViu3DJOpUG2ZsjCBtbITV3mqpxxbZfyWJojLPNSPO5
              username: admin
          examples:
            - - encrypted_password: >-
                  $5$isRr.HJ1IrQP38.m$oViu3DJOpUG2ZsjCBtbITV3mqpxxbZfyWJojLPNSPO5
                username: admin
          items:
            $ref: '#/components/schemas/UserListItem'
          title: User List
          type: array
      required:
        - id
        - name
        - protocol
        - protocol_port
        - load_balancer_id
        - insert_headers
        - pool_count
        - operating_status
        - provisioning_status
        - creator_task_id
        - task_id
        - secret_id
        - sni_secret_id
        - allowed_cidrs
        - timeout_client_data
        - timeout_member_connect
        - timeout_member_data
        - connection_limit
        - user_list
        - stats
        - admin_state_up
      title: LbListenerSerializer
      type: object
    OperatingStatusEnum:
      enum:
        - DEGRADED
        - DRAINING
        - ERROR
        - NO_MONITOR
        - OFFLINE
        - ONLINE
      title: OperatingStatusEnum
      type: string
    LbListenerProtocolEnum:
      enum:
        - HTTP
        - HTTPS
        - PROMETHEUS
        - TCP
        - TERMINATED_HTTPS
        - UDP
      title: LbListenerProtocolEnum
      type: string
    ProvisioningStatusEnum:
      enum:
        - ACTIVE
        - DELETED
        - ERROR
        - PENDING_CREATE
        - PENDING_DELETE
        - PENDING_UPDATE
      title: ProvisioningStatusEnum
      type: string
    LoadbalancerStatsSerializer:
      properties:
        active_connections:
          description: Currently active connections
          example: 0
          examples:
            - 0
          title: Active Connections
          type: integer
        bytes_in:
          description: Total bytes received
          example: 34942398609
          examples:
            - 34942398609
          title: Bytes In
          type: integer
        bytes_out:
          description: Total bytes sent
          example: 304777113641
          examples:
            - 304777113641
          title: Bytes Out
          type: integer
        request_errors:
          description: Total requests that were unable to be fulfilled
          example: 4
          examples:
            - 4
          title: Request Errors
          type: integer
        total_connections:
          description: Total connections handled
          example: 21095970
          examples:
            - 21095970
          title: Total Connections
          type: integer
      required:
        - active_connections
        - bytes_in
        - bytes_out
        - request_errors
        - total_connections
      title: LoadbalancerStatsSerializer
      type: object
    UserListItem:
      properties:
        encrypted_password:
          description: Encrypted password to auth via Basic Authentication
          example: $5$isRr.HJ1IrQP38.m$oViu3DJOpUG2ZsjCBtbITV3mqpxxbZfyWJojLPNSPO5
          examples:
            - $5$isRr.HJ1IrQP38.m$oViu3DJOpUG2ZsjCBtbITV3mqpxxbZfyWJojLPNSPO5
          maxLength: 128
          title: Encrypted Password
          type: string
        username:
          description: Username to auth via Basic Authentication
          example: admin
          examples:
            - admin
          maxLength: 32
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,30}[a-zA-Z0-9._]$
          title: Username
          type: string
      required:
        - username
        - encrypted_password
      title: UserListItem
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````